<h2>Programările pacientului {{patient?.name}}</h2>
<ng-container *ngIf="appointments.length !== 0">
    <table>
        <thead>
            <tr>
                <th>Spital</th>
                <th>Doctor</th>
                <th>Asistentă</th>
                <th>Dată</th>
                <th>Detalii</th>
                <th *ngIf="isUserNurse()">Actualizează</th>
                <th *ngIf="isUserAdmin() || isUserNurse()">Șterge</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor='let appointment of appointments'>
                <td>{{ appointment.doctor.department.hospital.name }}</td>
                <td>{{ appointment.doctor.name }}</td>
                <td>{{ appointment.nurse.name }}</td>
                <td>{{ appointment.date | date:'dd/MM/yyyy' }}</td>
                <td>
                    <mat-icon (click)=goToAppointmentPage(appointment.id)>read_more</mat-icon>
                </td>
                <td *ngIf="isUserNurse()">
                    <mat-icon *ngIf="canUserUpdateAppointment(appointment.nurse.id)" (click)="goToUpdateAppointmentPage(appointment.id)">update</mat-icon>
                </td>
                <td *ngIf="isUserAdmin() || isUserNurse()">
                    <mat-icon *ngIf="canUserDeleteAppointment(appointment.nurse.id)" (click)="deleteAppointment(appointment.id)">delete</mat-icon>
                </td>
            </tr>
        </tbody>
    </table>
</ng-container>

<button *ngIf="isUserNurse()" class="btn btn-primary" (click)="goToCreateAppointmentPage()">Creare programare</button>
